For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Workplans
    • POSTCreate Workplan
    • GETView Workplan
    • PATCHEdit Workplan
    • DELDelete Workplan
    • GETGet Latest Report
    • GETList Workplans
    • POSTRun Workplan
  • Reports
    • GETList Reports
    • GETGet Report Results
    • POSTCancel Report
  • Admin Usage
    • GETGet User Token Usage
    • GETGet Report Token Usage
    • GETGet Workplan Token Usage
    • GETGet Workplan Usage History
  • Scheduling
    • POSTSet Workplan Schedule
    • GETView Workplan Schedule
    • DELCancel Workplan Schedule
  • Documents
    • POSTUpload File
    • GETList Documents
    • GETGet Document
    • DELDelete Document
    • GETGet Document Content
  • Dataset
    • PUTCreate Macro Dataset
    • POSTUpload Macro Data
    • GETGet Dataset Info
    • GETList Datasets
    • DELDelete Dataset
  • Threads
    • POSTCreate Thread
    • POSTChat In Thread
    • GETGet All Threads
    • GETGet Thread History
    • GETGet Thread Artifact
  • Legacy Endpoints
    • GETGet Agent Dynamic Output
    • GETGet Agent Metadata
    • GETGet All Agents Metadata
    • GETGet Agent Status
    • POSTCreate Agent
    • GETGet Agent Output
    • GETGet Agent Usage History
    • POSTEnable Agent Automation
    • POSTDisable Agent Automation
    • POSTSet Agent Schedule
    • POSTRerun Agents Latest Plan
    • GETGet Custom Document Details
    • GETList Custom Docs
    • POSTAdd Custom Docs
    • PUTCustom Data Create Macro Dataset
    • POSTCustom Data Upload Macro Data
    • GETCustom Data Get Dataset Info
    • GETCustom Data List Datasets
    • DELCustom Data Delete Dataset
LogoLogo
Threads

Get Thread Artifact

GET
https://alfa.boosted.ai/client/v2/thread/:thread_id/artifact/:artifact_id
GET
/client/v2/thread/:thread_id/artifact/:artifact_id
$curl https://alfa.boosted.ai/client/v2/thread/thread_id/artifact/artifact_id \
> -H "x-api-key: <apiKey>"
1{
2 "artifact_id": "string",
3 "artifact": {
4 "output_type": "text",
5 "title": "",
6 "citations": [
7 {
8 "id": "string",
9 "internal_id": "string",
10 "citation_type": "custom_doc",
11 "name": "string",
12 "inline_offset": 1,
13 "summary": "string",
14 "last_updated_at": "2024-01-15T09:30:00Z",
15 "is_snippet": false
16 }
17 ],
18 "val": "string",
19 "resolved_text_objects": false
20 }
21}

Get an artifact (table, graph, etc.) that is present in a thread.

Returns the artifact and its ID.

Was this page helpful?
Previous

Get Agent Dynamic Output

Next
Built with

Authentication

x-api-keystring
Enter your API key here.

Path parameters

thread_idstringRequired
artifact_idstringRequired

Response

Successful Response
artifact_idstring
artifactobject

Errors

422
Unprocessable Entity Error